# Restore a previous BOM version (/docs/api-reference/products/ProductsController_restoreBomVersion)

`POST /api/factories/{factoryId}/products/{productId}/bom-versions/{versionId}/restore`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `factoryId` | path | yes | string | Factory ID |
| `productId` | path | yes | string | Product ID |
| `versionId` | path | yes | string | BOM version ID to restore |

## Responses

### 200: BOM restored from version

### 404: BOM version not found